default:
  image: python:3.10
  tags:
    - mcai

stages:
  - publish

publish:package:
  stage: publish
  before_script:
    - pip install build twine
    - pip install .
  script:
    - export VERSION=`pip show $PACKAGE_NAME | grep Version | cut -d ' ' -f 2 `
    - if ! [[ "$VERSION" == "$CI_COMMIT_TAG" || "v$VERSION" == "$CI_COMMIT_TAG" ]]; then exit -1; fi
    - python -m build
    - TWINE_PASSWORD=${CI_JOB_TOKEN} TWINE_USERNAME=gitlab-ci-token python -m twine upload --repository-url ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/pypi dist/*
    # - TWINE_PASSWORD=${PYPI_API_KEY} TWINE_USERNAME=__token__ twine upload dist/* # This allows uploading to Pypi registry
  only:
    - tags
